opam:prepare:
  extends:
    - .default_settings_template
    - .image_template__runtime_prebuild_dependencies_template
    - .rules_template__trigger_opam_batch_1
  stage: packaging
  needs: []
  script:
    - git init _opam-repo-for-release
    - ./scripts/opam-prepare-repo.sh dev ./ ./_opam-repo-for-release
    - git -C _opam-repo-for-release add packages
    - git -C _opam-repo-for-release commit -m "tezos packages"
  artifacts:
    paths:
      - _opam-repo-for-release/
